post:
    tags:
        - Integraciones SAS (Portafirmas)
    summary: Preparación de solicitud de Portafirmas
    description: Preparación de solicitud en PortaFirmas 
    operationId: crearTicketPortafirmas
    parameters:
        - $ref: './components_parameters.yaml#/components/parameters/Authorization'
        - $ref: './components_parameters.yaml#/components/parameters/Version'
        - $ref: './components_parameters.yaml#/components/parameters/delegado'
        - $ref: './components_parameters.yaml#/components/parameters/rol'
        - $ref: './components_parameters.yaml#/components/parameters/contexto'
        - $ref: './components_parameters.yaml#/components/parameters/sistema'
    requestBody:
        required: true
        content:
            application/json:
                schema:
                    type: object
                    required:
                        - referencia
                        - remitente 
                        - firmantes
                        - vuelta
                        - asunto
                        - descripcion
                    properties:
                        referencia:
                            type: string
                            description: Referencia para el ticket en PortaFirmas
                        remitente:
                            type: object
                            required:
                                - dni
                            properties:
                                dni:
                                    type: string
                                    description: DNI del remitente
                        firmantes:
                            type: array
                            items:
                                type: object
                                required:
                                    - dni
                                properties:
                                    dni:
                                        type: string
                                        description: DNI de cada firmante
                        vuelta:
                            type: object
                            properties:
                                uriFirmado:
                                    type: string
                                    description: URL a la que PortaFirmas llamará para notificar que la solicitud se ha firmado
                                uriDevuelto:
                                    type: string
                                    description: URL a la que PortaFirmas llamará para notificar que la solicitud se ha rechazado o devuelto sin firmar
                            required:
                                - uriFirmado
                                - uriDevuelto
                        asunto:
                            type: string
                            description: Asunto de la solicitud de PortaFirmas
                        descripcion:
                            type: string
                            description: Contenido de la solicitud de PortaFirmas
    responses:
        '200':
            description: OK - Solicitud en PortaFirmas creada
            content:
                application/json:
                    schema:
                        type: object
                        properties:
                            descripcion:
                                type: string
                                description: Mensaje de resultado de operación
                            visible:
                                type: string
                                description: Recomendación sobre la visibilidad del mensaje de respuesta de cara al usuario final
                            idPortaFirmas:
                                type: string
                                description: Identificador de la solicitud creada en PortaFirmas
                        required:
                            - idPortaFirmas
                            - descripcion
        '4XX':
            $ref: './models_errors_4XX.yaml'
        '5XX':
            $ref: './models_errors_5XX.yaml'
    deprecated: false
